package de.elisabetheckstaedt.dipl.GUI;

import javax.swing.ButtonGroup;
import javax.swing.JPanel;

import java.awt.Dimension;
import java.awt.GridBagLayout;
import javax.swing.JLabel;
import java.awt.GridBagConstraints;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JRadioButton;
import javax.swing.JTextField;
import javax.swing.JScrollPane;
import javax.swing.JTable;

import de.elisabetheckstaedt.dipl.real.Buero;
import de.elisabetheckstaedt.dipl.real.Hotel;
import de.elisabetheckstaedt.dipl.real.Shopping;
import de.elisabetheckstaedt.dipl.real.Verbraucher;
import de.elisabetheckstaedt.dipl.real.Verbraucher_k;

/**
 * Eingabefenster fr Verbraucher mit Gebudecharalkteristik
 * @author Elisabeth Eckstdt
 *
 */
public class FVerbraucher_k extends JDialog implements ActionListener {
	protected JButton jButtonOK = null;
	protected JButton jButtonUebernehmen = null;
	protected JButton jButtonAbbrechen = null;
	private double[] ort = {0, 0};
	private Verbraucher_k dummy;  //  @jve:decl-index=0:
	String[] Spalten = new String[24];
	Object[][] LF = new Object[3][24];
	Object[][] NF = new Object[3][24];
//	ArrayList Verbraucherliste;

	private static final long serialVersionUID = 1L;

	private JPanel jContentPane; // = null;

	private JLabel jLabelName = null;

	private JLabel jLabelFlaeche = null;

	private JLabel jLabelVorlauftemp = null;

	private JRadioButton jRadioButtonBuero = null;

	private JRadioButton jRadioButtonShopping = null;

	private JRadioButton jRadioButtonHotel = null;

	private JRadioButton jRadioButtonSonstiges = null;

	private JLabel jLabelWDW = null;

	private JLabel jLabelRST = null;

	private JLabel jLabelGL = null;

	private JLabel jLabelNL = null;

	private JLabel jLabelLF = null;

	private JLabel jLabelNF = null;

	private JTextField jTextFieldFlaeche = null;

	private JTextField jTextFieldName = null;

	private JTextField jTextFieldVorlauftemp = null;

	private JTextField jTextFieldWDW = null;

	private JTextField jTextFieldRST = null;

	private JTextField jTextFieldGL = null;

	private JTextField jTextFieldNL = null;

//	private JButton jButtonUebernehmen = null;

//	private JButton jButtonOK = null;
//	private JButton jButtonAbbrechen = null;

	private JLabel jLabelOrt = null;

	private JTextField jTextFieldOrtX = null;

	private JTextField jTextFieldOrtY = null;
	private JTable jTableLF = null;
	private JTable jTableNF = null;
	Object[][] OLF;// = new Object[3][24];
	Object[][] ONF;// = new Object[3][24];
	String[] Spaltenueberschriften = new String[24];
	private JScrollPane jScrollPaneLF = null;
	private JScrollPane jScrollPaneNF = null;
	/**
	 * This is the default constructor
	 */
	public FVerbraucher_k(Verbrauchein vaterfenster) {
		super(vaterfenster);
		OLF = new Object[3][24];
		ONF = new Object[3][24];
		initialize();
	}
//	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	protected void initialize() {
		dummy = new Buero("",ort,0.0,0.0);
		double[][] Lastf = dummy.getLastf();
		double[][] Nutzf = dummy.getNutzf();
		
		for (int i=0; i<3; i++)
		{
			for (int j=0; j<24; j++)
			{
				OLF[i][j] = new Double(Lastf[i][j]);
				ONF[i][j] = new Double(Nutzf[i][j]);
				if (i==0) {Spaltenueberschriften[j] = String.valueOf(j);}
			}
		}
		this.setSize(700, 400);
		this.setContentPane(getJContentPane());
		this.setTitle("DC/DEsign - I - Verbraucher mit Gebudecharakteristik eingeben");
	}

	private void aktualisieren()
		{
			jTextFieldWDW.setText(String.valueOf(dummy.getWaermedurchgangswert()));
			jTextFieldRST.setText(String.valueOf(dummy.getRaumsolltemperatur()));
			jTextFieldGL.setText(String.valueOf(dummy.getGrundlast()));
			jTextFieldNL.setText(String.valueOf(dummy.getNutzlast()));
			double[][] Lastf = dummy.getLastf();
			double[][] Nutzf = dummy.getNutzf();
			for (int i=0; i<3; i++)
			{
				for (int j=0; j<24; j++)
				{
					jTableLF.getModel().setValueAt(new Double(Lastf[i][j]), i, j);
					jTableNF.getModel().setValueAt(new Double(Nutzf[i][j]), i, j);
				}
			}
		}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	protected JPanel getJContentPane() {
		if (jContentPane == null) {
//			GridBagConstraints gridBagConstraints111 = new GridBagConstraints();
//			gridBagConstraints111.fill = GridBagConstraints.BOTH;
//			gridBagConstraints111.weighty = 1.0;
//			gridBagConstraints111.gridx = 0;
//			gridBagConstraints111.gridy = 12;
//			gridBagConstraints111.anchor = GridBagConstraints.CENTER;
//			gridBagConstraints111.weightx = 1;
			GridBagConstraints gridBagConstraints41 = new GridBagConstraints();
			gridBagConstraints41.fill = GridBagConstraints.BOTH;
			gridBagConstraints41.gridy = 13;
			gridBagConstraints41.weightx = 1.0;
			gridBagConstraints41.weighty = 1.0;
			gridBagConstraints41.gridwidth = 3;
			gridBagConstraints41.gridx = 1;
			GridBagConstraints gridBagConstraints31 = new GridBagConstraints();
			gridBagConstraints31.fill = GridBagConstraints.BOTH;
			gridBagConstraints31.gridy = 11;
			gridBagConstraints31.weightx = 1.0;
			gridBagConstraints31.weighty = 1.0;
			gridBagConstraints31.gridwidth = 3;
			gridBagConstraints31.gridx = 1;
			GridBagConstraints gridBagConstraints110 = new GridBagConstraints();
			gridBagConstraints110.gridx = 0;
			gridBagConstraints110.gridwidth = 2;
			gridBagConstraints110.gridy = 14;
			GridBagConstraints gridBagConstraints151 = new GridBagConstraints();
			gridBagConstraints151.fill = GridBagConstraints.BOTH;
			gridBagConstraints151.gridy = 1;
			gridBagConstraints151.weightx = 1.0;
			gridBagConstraints151.gridx = 3;
			GridBagConstraints gridBagConstraints141 = new GridBagConstraints();
			gridBagConstraints141.fill = GridBagConstraints.BOTH;
			gridBagConstraints141.gridy = 1;
			gridBagConstraints141.weightx = 1.0;
			gridBagConstraints141.gridx = 2;
			GridBagConstraints gridBagConstraints131 = new GridBagConstraints();
			gridBagConstraints131.gridx = 0;
			gridBagConstraints131.gridwidth = 2;
			gridBagConstraints131.gridy = 1;
			jLabelOrt = new JLabel();
			jLabelOrt.setText("Ort X, Y [m]");
			GridBagConstraints gridBagConstraints121 = new GridBagConstraints();
			gridBagConstraints121.gridx = 2;
			gridBagConstraints121.gridwidth = 1;
			gridBagConstraints121.gridy = 14;
			GridBagConstraints gridBagConstraints19 = new GridBagConstraints();
			gridBagConstraints19.fill = GridBagConstraints.BOTH;
			gridBagConstraints19.gridy = 8;
			gridBagConstraints19.weightx = 1.0;
			gridBagConstraints19.gridx = 2;
			GridBagConstraints gridBagConstraints18 = new GridBagConstraints();
			gridBagConstraints18.fill = GridBagConstraints.BOTH;
			gridBagConstraints18.gridy = 7;
			gridBagConstraints18.weightx = 1.0;
			gridBagConstraints18.gridx = 2;
			GridBagConstraints gridBagConstraints17 = new GridBagConstraints();
			gridBagConstraints17.fill = GridBagConstraints.BOTH;
			gridBagConstraints17.gridy = 6;
			gridBagConstraints17.weightx = 1.0;
			gridBagConstraints17.gridx = 2;
			GridBagConstraints gridBagConstraints16 = new GridBagConstraints();
			gridBagConstraints16.fill = GridBagConstraints.BOTH;
			gridBagConstraints16.gridy = 5;
			gridBagConstraints16.weightx = 1.0;
			gridBagConstraints16.gridx = 2;
			GridBagConstraints gridBagConstraints15 = new GridBagConstraints();
			gridBagConstraints15.fill = GridBagConstraints.BOTH;
			gridBagConstraints15.gridy = 2;
			gridBagConstraints15.weightx = 1.0;
			gridBagConstraints15.gridwidth = 2;
			gridBagConstraints15.gridx = 2;
			GridBagConstraints gridBagConstraints14 = new GridBagConstraints();
			gridBagConstraints14.fill = GridBagConstraints.BOTH;
			gridBagConstraints14.gridy = 0;
			gridBagConstraints14.weightx = 1.0;
			gridBagConstraints14.gridwidth = 2;
			gridBagConstraints14.gridx = 2;
			GridBagConstraints gridBagConstraints13 = new GridBagConstraints();
			gridBagConstraints13.fill = GridBagConstraints.BOTH;
			gridBagConstraints13.gridy = 3;
			gridBagConstraints13.weightx = 1.0;
			gridBagConstraints13.gridwidth = 2;
			gridBagConstraints13.gridx = 2;
			GridBagConstraints gridBagConstraints12 = new GridBagConstraints();
			gridBagConstraints12.gridx = 0;
			gridBagConstraints12.gridy = 13;
			jLabelNF = new JLabel();
			jLabelNF.setText("Nutzfaktor [1]");
			GridBagConstraints gridBagConstraints11 = new GridBagConstraints();
			gridBagConstraints11.gridx = 0;
			gridBagConstraints11.gridy = 11;
			jLabelLF = new JLabel();
			jLabelLF.setText("Lastfaktor [1]");
			GridBagConstraints gridBagConstraints10 = new GridBagConstraints();
			gridBagConstraints10.gridx = 0;
			gridBagConstraints10.gridwidth = 2;
			gridBagConstraints10.gridy = 8;
			jLabelNL = new JLabel();
			jLabelNL.setText("Nutzlast [W/m]");
			GridBagConstraints gridBagConstraints9 = new GridBagConstraints();
			gridBagConstraints9.gridx = 0;
			gridBagConstraints9.gridwidth = 2;
			gridBagConstraints9.gridy = 7;
			jLabelGL = new JLabel();
			jLabelGL.setText("Grundlast [W/m]");
			GridBagConstraints gridBagConstraints8 = new GridBagConstraints();
			gridBagConstraints8.gridx = 0;
			gridBagConstraints8.gridwidth = 2;
			gridBagConstraints8.gridy = 6;
			jLabelRST = new JLabel();
			jLabelRST.setText("Raumsolltemperatur [C]");
			GridBagConstraints gridBagConstraints6 = new GridBagConstraints();
			gridBagConstraints6.gridx = 0;
			gridBagConstraints6.gridwidth = 2;
			gridBagConstraints6.gridy = 5;
			jLabelWDW = new JLabel();
			jLabelWDW.setText("Wrmedurchgangswert [W/m/K]");
			GridBagConstraints gridBagConstraints7 = new GridBagConstraints();
			gridBagConstraints7.gridx = 3;
			gridBagConstraints7.gridy = 4;
			GridBagConstraints gridBagConstraints5 = new GridBagConstraints();
			gridBagConstraints5.gridx = 2;
			gridBagConstraints5.gridy = 4;
			GridBagConstraints gridBagConstraints4 = new GridBagConstraints();
			gridBagConstraints4.gridx = 1;
			gridBagConstraints4.gridy = 4;
			GridBagConstraints gridBagConstraints3 = new GridBagConstraints();
			gridBagConstraints3.gridx = 0;
			gridBagConstraints3.gridy = 4;
			GridBagConstraints gridBagConstraints2 = new GridBagConstraints();
			gridBagConstraints2.gridx = 0;
			gridBagConstraints2.gridwidth = 2;
			gridBagConstraints2.gridy = 2;
			jLabelVorlauftemp = new JLabel();
			jLabelVorlauftemp.setText("Vorlauftemperatur [C]");
			GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
			gridBagConstraints1.gridx = 0;
			gridBagConstraints1.gridwidth = 2;
			gridBagConstraints1.gridy = 0;
			jLabelFlaeche = new JLabel();
			jLabelFlaeche.setText("Name");
			GridBagConstraints gridBagConstraints = new GridBagConstraints();
			gridBagConstraints.gridx = 0;
			gridBagConstraints.gridwidth = 2;
			gridBagConstraints.gridy = 3;
			GridBagConstraints gridBagConstraints200 = new GridBagConstraints();
			gridBagConstraints200.gridx = 3;
//			gridBagConstraints200.gridwidth = 2;
			gridBagConstraints200.gridy = 14;
			jLabelName = new JLabel();
			jLabelName.setText("Flche [m]");
			jContentPane = new JPanel();
			jContentPane.setLayout(new GridBagLayout());
			jContentPane.add(jLabelName, gridBagConstraints);
			jContentPane.add(jLabelFlaeche, gridBagConstraints1);
			jContentPane.add(jLabelVorlauftemp, gridBagConstraints2);
			jContentPane.add(getJRadioButtonBuero(), gridBagConstraints3);
			jContentPane.add(getJRadioButtonShopping(), gridBagConstraints4);
			jContentPane.add(getJRadioButtonHotel(), gridBagConstraints5);
			jContentPane.add(getJRadioButtonSonstiges(), gridBagConstraints7);
			jContentPane.add(jLabelWDW, gridBagConstraints6);
			jContentPane.add(jLabelRST, gridBagConstraints8);
			jContentPane.add(jLabelGL, gridBagConstraints9);
			jContentPane.add(jLabelNL, gridBagConstraints10);
			jContentPane.add(jLabelLF, gridBagConstraints11);
			jContentPane.add(jLabelNF, gridBagConstraints12);
			jContentPane.add(getJTextFieldFlaeche(), gridBagConstraints13);
			jContentPane.add(getJTextFieldName(), gridBagConstraints14);
			jContentPane.add(getJTextFieldVorlauftemp(), gridBagConstraints15);
			jContentPane.add(getJTextFieldWDW(), gridBagConstraints16);
			jContentPane.add(getJTextFieldRST(), gridBagConstraints17);
			jContentPane.add(getJTextFieldGL(), gridBagConstraints18);
			jContentPane.add(getJTextFieldNl(), gridBagConstraints19);
			jContentPane.add(getJButtonUebernehmen(), gridBagConstraints110);
			jContentPane.add(getJButtonOK(), gridBagConstraints121);
			jContentPane.add(jLabelOrt, gridBagConstraints131);
			jContentPane.add(getJTextFieldOrtX(), gridBagConstraints141);
			jContentPane.add(getJTextFieldOrtY(), gridBagConstraints151);
			jContentPane.add(getJButtonAbbrechen(), gridBagConstraints200);
			jContentPane.add(getJScrollPaneLF(), gridBagConstraints31);
			jContentPane.add(getJScrollPaneNF(), gridBagConstraints41);
			ButtonGroup group = new ButtonGroup();
			group.add(jRadioButtonBuero);
			group.add(jRadioButtonShopping);
			group.add(jRadioButtonHotel);
			group.add(jRadioButtonSonstiges);
			jButtonUebernehmen.setText("OK und nchsten hinzufgen");
		}
		return jContentPane;
	}
	/**
	 * This method initializes jButtonOK	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButtonOK() {
		if (jButtonOK == null) {
			jButtonOK = new JButton();
			jButtonOK.setText("OK");
			jButtonOK.addActionListener(this);
			jButtonOK.setPreferredSize(new Dimension(100, 26));
		}
		return jButtonOK;
	}
	public void actionPerformed(ActionEvent ae)
	{
		Object Quelle = ae.getSource();
		if (Quelle == jButtonOK)
		{
			Uebernehmen();
			Schliessen();
		}
		else if (Quelle == jButtonUebernehmen)
		{
			Uebernehmen();
		}
		else if (Quelle == jButtonAbbrechen)
		{
			Schliessen();
		}
	}
	/**
	 * This method initializes jButtonUebernehmen	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButtonUebernehmen() {
		if (jButtonUebernehmen == null) {
			jButtonUebernehmen = new JButton();
			jButtonUebernehmen.setText("bernehmen");
			jButtonUebernehmen.addActionListener(this);
			jButtonUebernehmen.setPreferredSize(new Dimension(100, 26));
		}
		return jButtonUebernehmen;
	}

	protected void Schliessen()
	{
		this.setVisible(false);
	}
	/**
	 * This method initializes jButtonAbbrechen	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButtonAbbrechen() {
		if (jButtonAbbrechen == null) {
			jButtonAbbrechen = new JButton();
			jButtonAbbrechen.setText("Abbrechen");
			jButtonAbbrechen.addActionListener(this);
			jButtonAbbrechen.setPreferredSize(new Dimension(100, 26));
		}
		return jButtonAbbrechen;
	}
	/**
	 * This method initializes jRadioButtonBuero	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */
	private JRadioButton getJRadioButtonBuero() {
		if (jRadioButtonBuero == null) {
			jRadioButtonBuero = new JRadioButton();
			jRadioButtonBuero.setText("Bro");
			jRadioButtonBuero.setSelected(true);
			jRadioButtonBuero.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					dummy = new Buero("",ort,0.0,0.0);
					aktualisieren();
				}
			});
		}
		return jRadioButtonBuero;
	}

	/**
	 * This method initializes jRadioButtonShopping	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */
	private JRadioButton getJRadioButtonShopping() {
		if (jRadioButtonShopping == null) {
			jRadioButtonShopping = new JRadioButton();
			jRadioButtonShopping.setText("Shopping");
			jRadioButtonShopping.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					dummy = new Shopping("",ort,0.0,0.0);
					aktualisieren();
				}
			});
		}
		return jRadioButtonShopping;
	}

	/**
	 * This method initializes jRadioButtonHotel	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */
	private JRadioButton getJRadioButtonHotel() {
		if (jRadioButtonHotel == null) {
			jRadioButtonHotel = new JRadioButton();
			jRadioButtonHotel.setText("Hotel");
			jRadioButtonHotel.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					dummy = new Hotel("",ort,0.0,0.0);
					aktualisieren();
				}
			});
		}
		return jRadioButtonHotel;
	}
	
	/**
	 * This method initializes jRadioButtonSonstiges	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */
	private JRadioButton getJRadioButtonSonstiges() {
		if (jRadioButtonSonstiges == null) {
			jRadioButtonSonstiges = new JRadioButton();
			jRadioButtonSonstiges.setText("Sonstiges");
		}
		return jRadioButtonSonstiges;
	}

	/**
	 * This method initializes jTextFieldFlaeche	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldFlaeche() {
		if (jTextFieldFlaeche == null) {
			jTextFieldFlaeche = new JTextField();
			jTextFieldFlaeche.setText("10000");
		}
		return jTextFieldFlaeche;
	}

	/**
	 * This method initializes jTextFieldName	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldName() {
		if (jTextFieldName == null) {
			jTextFieldName = new JTextField();
			jTextFieldName.setText("Rathaus");
		}
		return jTextFieldName;
	}

	/**
	 * This method initializes jTextFieldVorlauftemp	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldVorlauftemp() {
		if (jTextFieldVorlauftemp == null) {
			jTextFieldVorlauftemp = new JTextField();
			jTextFieldVorlauftemp.setText("5");
		}
		return jTextFieldVorlauftemp;
	}

	/**
	 * This method initializes jTextFieldWDW	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldWDW() {
		if (jTextFieldWDW == null) {
			jTextFieldWDW = new JTextField();
			jTextFieldWDW.setText("0.51");
		}
		return jTextFieldWDW;
	}

	/**
	 * This method initializes jTextFieldRST	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldRST() {
		if (jTextFieldRST == null) {
			jTextFieldRST = new JTextField();
			jTextFieldRST.setText("20");
		}
		return jTextFieldRST;
	}

	/**
	 * This method initializes jTextFieldGL	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldGL() {
		if (jTextFieldGL == null) {
			jTextFieldGL = new JTextField();
			jTextFieldGL.setText("10");
		}
		return jTextFieldGL;
	}

	/**
	 * This method initializes jTextFieldNl	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldNl() {
		if (jTextFieldNL == null) {
			jTextFieldNL = new JTextField();
			jTextFieldNL.setText("22");
		}
		return jTextFieldNL;
	}

//	/**
//	 * This method initializes jButtonUebernehmen	
//	 * 	
//	 * @return javax.swing.JButton	
//	 */
//	private JButton getJButtonUebernehmen() {
//		if (jButtonUebernehmen == null) {
//			jButtonUebernehmen = new JButton();
//			jButtonUebernehmen.setText("weiteren Verbraucher hinzufgen");
//			jButtonUebernehmen.addActionListener(new java.awt.event.ActionListener() {
//				public void actionPerformed(java.awt.event.ActionEvent e) {
//					anlegen();
//				}
//			});
//		}
//		return jButtonUebernehmen;
//	}
	
//	/**
//	 * This method initializes jButtonAbbrechen	
//	 * 	
//	 * @return javax.swing.JButton	
//	 */
//	private JButton getJButtonAbbrechen() {
//		final JDialog Ich = this;
//		if (jButtonAbbrechen == null) {
//			jButtonAbbrechen = new JButton();
//			jButtonAbbrechen.setText("Abbrechen");
//			jButtonAbbrechen.addActionListener(new java.awt.event.ActionListener() {
//				public void actionPerformed(java.awt.event.ActionEvent e) {
//					Ich.setVisible(false);
//				}
//			});
//		}
//		return jButtonAbbrechen;
//	}

//	/**
//	 * This method initializes jButtonOK	
//	 * 	
//	 * @return javax.swing.JButton	
//	 */
//	private JButton getJButtonOK() {
//		final JDialog Ich = this;
//		if (jButtonOK == null) {
//			jButtonOK = new JButton();
//			jButtonOK.setText("Speichern und zurck");
//			jButtonOK.addActionListener(new java.awt.event.ActionListener() {
//				public void actionPerformed(java.awt.event.ActionEvent e) {
//					anlegen();
//					Ich.setVisible(false);
//				}
//			});
//		}
//		return jButtonOK;
//	}

	/**
	 * This method initializes jTextFieldOrtX	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldOrtX() {
		if (jTextFieldOrtX == null) {
			jTextFieldOrtX = new JTextField();
			jTextFieldOrtX.setText("785");
		}
		return jTextFieldOrtX;
	}

	/**
	 * This method initializes jTextFieldOrtY	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldOrtY() {
		if (jTextFieldOrtY == null) {
			jTextFieldOrtY = new JTextField();
			jTextFieldOrtY.setText("987");
		}
		return jTextFieldOrtY;
	}

	/**
	 * This method initializes jTableLF	
	 * 	
	 * @return javax.swing.JTable	
	 */
	private JTable getJTableLF() {
		if (jTableLF == null) {
			jTableLF = new JTable(OLF,Spaltenueberschriften);
		}
		return jTableLF;
	}

	/**
	 * This method initializes jTableNF	
	 * 	
	 * @return javax.swing.JTable	
	 */
	private JTable getJTableNF() {
		if (jTableNF == null) {
			jTableNF = new JTable(ONF,Spaltenueberschriften);
		}
		return jTableNF;
	}

	/**
	 * This method initializes jScrollPaneLF	
	 * 	
	 * @return javax.swing.JScrollPane	
	 */
	private JScrollPane getJScrollPaneLF() {
		if (jScrollPaneLF == null) {
			jScrollPaneLF = new JScrollPane();
			jScrollPaneLF.setViewportView(getJTableLF());
		}
		return jScrollPaneLF;
	}

	/**
	 * This method initializes jScrollPaneNF	
	 * 	
	 * @return javax.swing.JScrollPane	
	 */
	private JScrollPane getJScrollPaneNF() {
		if (jScrollPaneNF == null) {
			jScrollPaneNF = new JScrollPane();
			jScrollPaneNF.setViewportView(getJTableNF());
		}
		return jScrollPaneNF;
	}

	protected void Uebernehmen() {
		double[][] lastf = new double[3][24];
		double[][] nutzf = new double[3][24];
		for (int i=0; i<3; i++)
		{
			for (int j=0; j<24; j++)
			{
				lastf[i][j] = ((Double) jTableLF.getValueAt(i, j)).doubleValue();
				nutzf[i][j] = ((Double) jTableNF.getValueAt(i, j)).doubleValue();
			}
		}
		double[] ort = {Double.valueOf(jTextFieldOrtX.getText()).doubleValue(),Double.valueOf(jTextFieldOrtY.getText()).doubleValue()};
		Verbraucher neu = new Verbraucher_k(jTextFieldName.getText(), ort, 
				Double.valueOf(jTextFieldFlaeche.getText()).doubleValue(),
				Double.valueOf(jTextFieldWDW.getText()).doubleValue(),
				Double.valueOf(jTextFieldRST.getText()).doubleValue(),
				Double.valueOf(jTextFieldGL.getText()).doubleValue(),
				Double.valueOf(jTextFieldNL.getText()).doubleValue(),
				lastf, nutzf, Double.valueOf(jTextFieldVorlauftemp.getText()).doubleValue());
		((Verbrauchein) getOwner()).hinzufuegen(neu);
		
	}

}  //  @jve:decl-index=0:visual-constraint="51,12"
