package de.elisabetheckstaedt.dipl.real;

import de.elisabetheckstaedt.dipl.common.Einzelobjekt;

/**
 * reprsentiert Armaturen, Einbauten, Hydraulische Weiche in Kltezentralen
 * @author Elisabeth Eckstdt
 */
public class Armatur extends Einzelobjekt {

	/**
	 * reicht Parameter an Vaterkonstruktor durch
	 * @param name
	 */
	public Armatur(String name) {
		super(name);
	}
	
	/**
	 * setzt Faktoren nach VDI und Investition
	 * @param investition
	 */
	public void init(double investition)
	{
		Nutzungsdauer = 20;
		Instandsetzung = 1.5;
		Wartung = 0;
		Bedienung = 0;
		Inspektion = 0;
		Investition = investition;
	}

	public String getBauteilart() {
		return "Armatur";
	}

}
