package de.elisabetheckstaedt.dipl.real;

/**
 * reprsentiert Medium Luft
 * @author Elisabeth Eckstdt
 */
public class Luft extends Stoff {
	
	public Luft() {
		super();
	}
	/**
	 * derzeit keine Abhngigkeit von Temperatur implementiert
	 * @param temperatur [C]
	 * @return [g/cm]
	 */
	public double Dichte(double temperatur) //TODO Dichte jetzt meist mit 10C aufgerufen statt tatschliche Temp
	{
		return 1.29 * 0.001; //Quelle Tabellenbuch Metalltechnik
	}
	/**
	 * derzeit keine Abhngigkeit von Temperatur implementiert
	 * @param temperatur [C]
	 * @return [kJ/kg/K]
	 */
	public double Waermekapazitaet(double temperatur)
	{
		return 1.0054; //Quelle http://de.wikibooks.org/wiki/Tabellensammlung_Chemie/_spezifische_W%C3%A4rmekapazit%C3%A4ten
	}
}