package de.elisabetheckstaedt.dipl.real;

/**
 * abstrakte Vaterklasse fr alle Stoffe
 * @author Elisabeth Eckstdt
 */
public abstract class Stoff {
	/**
	 * @param temperatur
	 * @return [g/cm]
	 */
	public abstract double Dichte(double temperatur);
	
	/**
	 * @param temperatur
	 * @return [kJ/kg/K]
	 */
	public abstract double Waermekapazitaet(double temperatur);
	
}
